OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



Porting plugins to 2.3

The Plugin Gallery is a venue for users of PKP software to share their plugins.

Moderators: jmacgreg, michael, John

Forum rules
If you post a plugin here, please include information on which versions of which applications it is compatible with. Attach a tarball of the plugin (e.g. tar cvzf myPlugin-0.1.tar.gz plugins/generic/myPlugin). Thanks for contributing!

Porting plugins to 2.3

Postby hussainb » Tue Nov 24, 2009 12:10 pm

Hi,

I'm a bit confused about the new plug-in requirements for 2.3. If I had an OJS plug-in that worked for 2.2.3, what minimal changes would I need to make to get it to work for 2.3? I read around that you need to add a version.xml file, but I want to verify if that's all I would need to do, or if there's more.
hussainb
 
Posts: 4
Joined: Fri Oct 02, 2009 8:55 am

Re: Porting plugins to 2.3

Postby jmacgreg » Thu Nov 26, 2009 1:28 pm

Hi hussainb (Bilal?),

Yep, you're right regarding the versions.xml file being new -- see http://pkp.sfu.ca/bugzilla/show_bug.cgi?id=3745. I think that's about all you have to worry about, though of course it's worth testing your plugin(s) out before moving to production, if at all possible.

Cheers,
James
jmacgreg
 
Posts: 4162
Joined: Tue Feb 14, 2006 10:50 am


Return to Plugin Gallery

Who is online

Users browsing this forum: No registered users and 1 guest

cron